## unalz 0.30

=== debian/changelog ===
unalz (0.30) unstable; urgency=low

  * New Upstream Update. 

 -- Yooseong Yang <yooseong@debian.org>  Wed, 29 Dec 2004 15:13:48 +0900

unalz (0.21.1) unstable; urgency=low

  * Add Build-depends: docbook-to-man. Closes: #283049

 -- Steve McIntyre <93sam@debian.org>  Sun, 28 Nov 2004 12:52:48 +0000

unalz (0.21) unstable; urgency=low

  * Initial Release. (closes: #278741)

 -- Yooseong Yang <yooseong@debian.org>  Mon, 25 Oct 2004 16:43:48 +0900
