## unalz 0.30build1

=== debian/changelog ===
unalz (0.30build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 09:09:22 +0000
