## unalz 0.30.1

=== debian/changelog ===
unalz (0.30.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix buffer overflow in file name handling, discovered by Ulf Hrnhammar
    (CVE-2005-3862)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 29 Jan 2006 12:15:15 +0000
