=== debian/control ===
Source: unalz
Section: utils
Priority: optional
Maintainer: Yooseong Yang <yooseong@debian.org>
Build-Depends: debhelper (>= 4.0.0), docbook-to-man
Standards-Version: 3.6.1

Package: unalz
Architecture: any
Depends: ${shlibs:Depends}
Description: The utility used for decompressing alzip format file.
 unalz tool is the utility used for decompressing alzip format file.
 It mainly operates on files with names ending in '.alz'.
