## unalz 0.62

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	@echo ""
 	@echo "TARGET_SYSTEM is one of"
 	@echo ""
-	@echo " posix             : POSIX system (FreeBSD/linux/OSX/sparc)"
+	@echo " posix             : POSIX system (FreeBSD/linux/OSX/sparc/Win32)"
 	@echo " posix-utf8        : POSIX with utf8 filesystem(e.g. OSX)"
 	@echo " linux-utf8        : LINUX with utf8 filesystem(without -liconv option)"
 	@echo " posix-noiconv     : POSIX without libiconv (Windows(MINGW32,CYGWIN) or EUC-KR file system)"
