## unalz 0.65

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	@echo ""
 	@echo "TARGET_SYSTEM is one of"
 	@echo ""
+	@echo " posix-utf8        : POSIX with utf8 filesystem(Most of modern OS, e.g. OSX/Ubuntu)"
 	@echo " posix             : POSIX system (FreeBSD/linux/OSX/sparc/Win32)"
-	@echo " posix-utf8        : POSIX with utf8 filesystem(e.g. OSX)"
 	@echo " linux-utf8        : LINUX with utf8 filesystem(without -liconv option)"
 	@echo " posix-noiconv     : POSIX without libiconv (Windows(MINGW32,CYGWIN) or EUC-KR file system)"
 	@echo ""
