=== debian/control ===
Source: unalz
Section: utils
Priority: optional
Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Homepage: https://kippler.com/win/unalz/
Vcs-Browser: https://salsa.debian.org/l10n-korean-team/unalz
Vcs-Git: https://salsa.debian.org/l10n-korean-team/unalz.git
Build-Depends: debhelper-compat (= 13),
	       docbook-xsl,
               dpkg-dev (>= 1.16.1~),
	       libbz2-dev,
	       xsltproc,
	       zlib1g-dev (>= 1:1.2.7),
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: unalz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: De-archiver for .alz files
 This is the utility used for decompressing ALZip format files. It
 mainly operates on files with names ending in '.alz'.
 .
 Note that it only support Alzip program's old (pre-2009) ALZ format.
 The new "EGG" format is completely different with ALZ and not
 supported.
