=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk

# we need this for the poorly written upstream makefile
CFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
LDFLAGS += -lz -lbz2

DEBIAN_BUILDDIR=$(CURDIR)/debian/build

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- linux-utf8 CC="$(CC)" CPP="$(CXX)" CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	mkdir -p $(DEBIAN_BUILDDIR)
	$(XP) -o $(DEBIAN_BUILDDIR)/unalz.1 $(DB2MAN) debian/unalz.dbk
	iconv -f EUC-KR -t UTF-8 < readme.txt > $(DEBIAN_BUILDDIR)/readme.txt

override_dh_auto_install:

override_dh_auto_clean:
	rm -rf $(DEBIAN_BUILDDIR)
	dh_auto_clean
