=== debian/watch ===
version=4
 http://kippler.com/win/unalz/ \
 unalz-@ANY_VERSION@.tgz
